Discussion:
Bug#942007: please rebuild with GOST support
Add Reply
Dmitry Eremin-Solenikov
2019-10-08 23:00:02 UTC
Reply
Permalink
Package: softhsm2
Version: 2.5.0-1
Severity: wishlist

Could you please rebuild SoftHSM2 with GOST support?
This requires just building it with libengine-gost-openssl1.1 installed.
--
With best wishes
Dmitry

-- System Information:
Debian Release: bullseye/sid
APT prefers testing
APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.2.0-3-amd64 (SMP w/12 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/bash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages softhsm2 depends on:
ii libc6 2.29-2
ii libgcc1 1:9.2.1-8
ii libsofthsm2 2.5.0-1
ii libsqlite3-0 3.29.0-2
ii libssl1.1 1.1.1d-1
ii libstdc++6 9.2.1-8
ii softhsm2-common 2.5.0-1

softhsm2 recommends no packages.

softhsm2 suggests no packages.

-- no debconf information
Ondřej Surý
2019-10-08 23:40:01 UTC
Reply
Permalink
Please note that ECC-GOST (GOST R 34.10-2001) has been superseded
by GOST R 34.10-2012 in [RFC7091]. GOST R 34.10-2012 hasn't been
standardized for use in DNSSEC, so there’s just a little value for most
common scenarios where softhsm2 is usually used (DNSSEC signing).

Ondrej
--
Ondřej Surý
Post by Dmitry Eremin-Solenikov
Package: softhsm2
Version: 2.5.0-1
Severity: wishlist
Could you please rebuild SoftHSM2 with GOST support?
This requires just building it withlibengine-gost-openssl1.1 installed.
--
With best wishes
Dmitry
Debian Release: bullseye/sid
APT prefers testing
APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
Kernel: Linux 5.2.0-3-amd64 (SMP w/12 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/bash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled
ii libc6 2.29-2
ii libgcc1 1:9.2.1-8
ii libsofthsm2 2.5.0-1
ii libsqlite3-0 3.29.0-2
ii libssl1.1 1.1.1d-1
ii libstdc++6 9.2.1-8
ii softhsm2-common 2.5.0-1
softhsm2 recommends no packages.
softhsm2 suggests no packages.
-- no debconf information
Dmitry Eremin-Solenikov
2019-10-09 12:10:02 UTC
Reply
Permalink
Hello,
Post by Ondřej Surý
Please note that ECC-GOST (GOST R 34.10-2001) has been superseded
by GOST R 34.10-2012 in [RFC7091]. GOST R 34.10-2012 hasn't been
standardized for use in DNSSEC, so there’s just a little value for most
common scenarios where softhsm2 is usually used (DNSSEC signing).
I'm using SoftHSM2 as a backend to test GOST PKCS11 support in
different software without actual hardware token.
--
With best wishes
Dmitry
Loading...